package sample.activity;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.util.List;
import java.util.Map;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;

public class BizLogic_ViewString extends GlueActivity<GlueContext> {
    // Do not define the Class Member Variable!!
    @Override
    public String runActivity(GlueContext ctx) {
        this.logger.info("수신한 TC : [{}]", ctx.get(GlueBizControlConstants.RECEIVE_TC));
        if (ctx.get("tc-idx") != null) {
            int idx = ((Integer) ctx.get("tc-idx")).intValue();
            this.logger.info("TC : [{}", ctx.getMessages().get(idx).getTC());
        } else {
            this.logger.info("TC : [{}]", ctx.getMessage().getTC());
        }
        this.logger.info("TC 개수 : {}", ctx.getMessages().size());

        Object send = ctx.get("stringObj");
        String charset = ctx.get("charset") != null ? (String) ctx.get("charset") : null;
        if (charset != null) {
            if (send instanceof Map<?, ?>) {
                try {
                    File sendFile1 = new File("msg_(" + charset + ").dat");
                    sendFile1.createNewFile();
                    FileOutputStream fos = new FileOutputStream(sendFile1.getPath(), false);
                    OutputStreamWriter osw = new OutputStreamWriter(fos, charset);
                    BufferedWriter writer = new BufferedWriter(osw);
                    Map<String, List<String>> sendMap = (Map<String, List<String>>) send;
                    for (String key : sendMap.keySet()) {
                        List<String> sendList = sendMap.get(key);
                        for (String tc : sendList) {
                            this.logger.info("생성된 TC : {} [{}]", key, tc);
                            writer.write(tc);
                        }
                    }
                    writer.close();
                    osw.close();
                    fos.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        } else {
            if (send instanceof Map<?, ?>) {
                Map<String, List<String>> sendMap = (Map<String, List<String>>) send;
                for (String key : sendMap.keySet()) {
                    List<String> sendList = sendMap.get(key);
                    for (String tc : sendList) {
                        this.logger.info("생성된 TC : {} [{}]", key, tc);
                    }
                }
            }
        }

        return GlueBizControlConstants.SUCCESS;
    }
}
