package test;

import java.io.File;
import java.io.IOException;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;

public class Test_MSGFW004 {

    public static void main(String[] args) throws IOException {
        File baseDir = new File("." + File.separator + "etc");
        System.setProperty("CONFIG_PATH", baseDir.getCanonicalPath());
        String filetc1 = baseDir.getCanonicalPath() + File.separator + "MSGFW001-UTF8.dat";
        String filetc2 = baseDir.getCanonicalPath() + File.separator + "MSGFW001-MS949.dat";
        String filetc3 = baseDir.getCanonicalPath() + File.separator + "MSGFW003-UTF8.dat";
        String filetc4 = baseDir.getCanonicalPath() + File.separator + "MSGFW003-MS949.dat";
        System.out.println("=================================== 시작 ");
        GlueBizController controller = GlueBizProvider.getController();
        System.out.println("=================================== bean 생성완료");

        GlueContext ctx = new GlueDefaultContext();
        ctx.put("ReceiveTCType", "F");
        ctx.put("charset", "UTF-8");
        ctx.put(GlueBizControlConstants.RECEIVE_TC, new File(filetc1));
        ctx.put(GlueBizControlConstants.SERVICE_NAME, "MSGFW004-service");
        System.out.println("=================================== GlueContext 생성완료");
        controller.doAction(ctx);
        System.out.println("=================================== GlueService 실행완료");
        System.out.println("=================================== 종료 ");

        ctx = new GlueDefaultContext();
        ctx.put("ReceiveTCType", "F");
        ctx.put("charset", "EUC-KR");
        ctx.put(GlueBizControlConstants.RECEIVE_TC, new File(filetc2));
        ctx.put(GlueBizControlConstants.SERVICE_NAME, "MSGFW004-service");
        System.out.println("=================================== GlueContext 생성완료 (2차)");
        controller.doAction(ctx);
        System.out.println("=================================== GlueService 실행완료 (2차)");
        System.out.println("=================================== 종료 ");

        ctx = new GlueDefaultContext();
        ctx.put("ReceiveTCType", "F");
        ctx.put("charset", "UTF-8");
        ctx.put(GlueBizControlConstants.RECEIVE_TC, new File(filetc3));
        ctx.put(GlueBizControlConstants.SERVICE_NAME, "MSGFW004-service");
        System.out.println("=================================== GlueContext 생성완료 (3차)");
        controller.doAction(ctx);
        System.out.println("=================================== GlueService 실행완료 (3차)");
        System.out.println("=================================== 종료 ");

        ctx = new GlueDefaultContext();
        ctx.put("ReceiveTCType", "F");
        ctx.put("charset", "EUC-KR");
        ctx.put(GlueBizControlConstants.RECEIVE_TC, new File(filetc4));
        ctx.put(GlueBizControlConstants.SERVICE_NAME, "MSGFW004-service");
        System.out.println("=================================== GlueContext 생성완료 (4차)");
        controller.doAction(ctx);
        System.out.println("=================================== GlueService 실행완료 (4차)");
        System.out.println("=================================== 종료 ");
    }
}
